
CoCoALib - Feature #122

Porting "LinKer"

04 Apr 2012 09:37 - Anna Maria Bigatti

Status: Closed Start date: 04 Apr 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.44 hour

Target version: CoCoALib-0.99800 Spent time: 0.40 hour

Description

This issue is closed; it is a DUPLICATE of #206

Port cocoa-4 C code about LinKer to cocoalib.

Related issues:

Related to CoCoALib - Feature #206: Matrix equation solving: LinKer In Progress 10 Jul 2012

Related to CoCoALib - Feature #1444: HNF: Hermite Normal Form New 10 Mar 2020

History

#1 - 28 Jan 2013 08:09 - Anna Maria Bigatti

- Category set to New Function

#2 - 02 Apr 2014 10:05 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99534 Seoul14

#3 - 10 Jul 2014 13:40 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#4 - 10 Mar 2020 15:43 - John Abbott

- Related to Feature #1444: HNF: Hermite Normal Form added

#5 - 14 Jan 2021 14:27 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850

Has this already been done?  There are two fns in CoCoA-5: LinKer and LinKerBasis.

What about LinKerZZ?

#6 - 15 Jan 2021 09:18 - John Abbott

What is the difference between LinKer and LinKerBasis?

Is LinKerBasis essentially the same as GetCols(LinKer(..))?

Regarding LinKerZZ, I am now inclined ti think that the name LinKerZZBasis might be clearer...

though one could argue that LinKer anyway produces a basis for the kernel (so there is no point in saying so explicitly in the name).

#7 - 15 Jan 2021 21:09 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott
- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99800

- % Done changed from 0 to 100

- Estimated time set to 0.44 h

This seems to be a duplicate of #206; since there is more info under that index, I'm closing this one.

#8 - 15 Jan 2021 21:10 - John Abbott

- Description updated
